"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ts_graphite_decorator_1 = require("ts-graphite-decorator");
const helpers_1 = require("./helpers");
function Graphite(graphiteDefaultKey, graphiteUrl) {
    return function (target, propertyKey, descriptor) {
        const timingsKey = graphiteDefaultKey + helpers_1.getClassName(this) + '.timings.' + propertyKey;
        const rpmKey = graphiteDefaultKey + helpers_1.getClassName(this) + '.rpm.' + propertyKey;
        ts_graphite_decorator_1.RPM(rpmKey, graphiteUrl)(target, propertyKey, descriptor);
        ts_graphite_decorator_1.Metered(timingsKey, graphiteUrl)(target, propertyKey, descriptor);
        return descriptor.value;
    };
}
exports.Graphite = Graphite;
